Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.util.viewer.util
Class NLS

    java.lang.Object
      net.sourceforge.pmd.util.viewer.util.NLS

public class NLS
extends java.lang.Object

helps with internationalization

Version:
  $Id: NLS.java,v 1.6 2006/02/10 14:15:31 tomcopeland Exp $
Author:
  Boris Gruschko ( boris at gruschko.org )

Constructor Summary
`NLS()`

Method Summary
`static java.lang.String` | `nls(java.lang.String key)` translates the given key to the message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NLS

    public NLS()

Method Detail

### nls

    public static java.lang.String nls(java.lang.String key)

  translates the given key to the message

  Parameters:
    `key` - key to be translated
  Returns:
    translated string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.